Foxit PDF SDK

Public Member Functions | List of all members
FoxitPDFSDKPython2.SearchCallback Class Reference

Inherits FoxitPDFSDKPython2._object.

## Public Member Functions
def | Release ()
| A callback function used to release current callback object itself. More...
def | RetrieveSearchResult (file_path, page_index, match_result, match_start_text_index, match_end_text_index, sentence, match_sentence_start_text_index, match_sentence_end_text_index)
| A callback function used to retrieve the searching result. More...

## Detailed Description

This class represents a callback object to retrieve the searching result during the searching progress by function FoxitPDFSDKPython2.FullTextSearch.SearchOf . All the pure virtual functions in this class are used as callback functions and should be implemented by user.

See also
  FullTextSearch

## Member Function Documentation

## ◆ Release()

def FoxitPDFSDKPython2.SearchCallback.Release | ( |  | ) |

A callback function used to release current callback object itself.

Returns
  None.

## ◆ RetrieveSearchResult()

def FoxitPDFSDKPython2.SearchCallback.RetrieveSearchResult | ( |  | file_path,
|  |  | page_index,
|  |  | match_result,
|  |  | match_start_text_index,
|  |  | match_end_text_index,
|  |  | sentence,
|  |  | match_sentence_start_text_index,
|  |  | match_sentence_end_text_index
| ) |  |

A callback function used to retrieve the searching result.

Parameters

  [in] | file_path | A file path that specifies in which file the matched result is found.
  [in] | page_index | A page index that specifies in which page of the file the matched result is found.
  [in] | match_result | A string that represents the matched result.
  [in] | match_start_text_index | The index of start character in the matched result.
  [in] | match_end_text_index | The index of end character in the matched result.
  [in] | sentence | The sentence that contains current match result.
  [in] | match_sentence_start_text_index | The index of start character in the sentence.
  [in] | match_sentence_end_text_index | The index of end character in the sentence.

Returns
  If non-zero is returned, the search engine will stop searching.